Package org.apache.nutch.net.protocols

## Enum Response.TruncatedContentReason

- java.lang.Object
- - java.lang.Enum<Response.TruncatedContentReason>
  - - org.apache.nutch.net.protocols.Response.TruncatedContentReason

- All Implemented Interfaces:
    `Serializable`, `Comparable<Response.TruncatedContentReason>`
  Enclosing interface:
    Response

      public static enum Response.TruncatedContentReason
      extends Enum<Response.TruncatedContentReason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISCONNECT` | network disconnect or timeout during fetch
    `INTERNAL` | implementation internal reason
    `LENGTH` | fetch exceeded configured http.content.limit
    `NOT_TRUNCATED` |
    `TIME` | fetch exceeded configured http.time.limit
    `UNSPECIFIED` | unknown reason

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Response.TruncatedContentReason` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Response.TruncatedContentReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_TRUNCATED

          public static final Response.TruncatedContentReason NOT_TRUNCATED

    - #### LENGTH

          public static final Response.TruncatedContentReason LENGTH

      fetch exceeded configured http.content.limit

    - #### TIME

          public static final Response.TruncatedContentReason TIME

      fetch exceeded configured http.time.limit

    - #### DISCONNECT

          public static final Response.TruncatedContentReason DISCONNECT

      network disconnect or timeout during fetch

    - #### INTERNAL

          public static final Response.TruncatedContentReason INTERNAL

      implementation internal reason

    - #### UNSPECIFIED

          public static final Response.TruncatedContentReason UNSPECIFIED

      unknown reason

  - ### Method Detail

    - #### values

          public static Response.TruncatedContentReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Response.TruncatedContentReason c : Response.TruncatedContentReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Response.TruncatedContentReason valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null